Reptilarium/src/Entity/Etat.php
<?php

namespace App\Entity;

use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass="App\Repository\EtatRepository")
 */
class Etat
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue()
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $Type;

    /**
     * @ORM\Column(type="datetime", nullable=true)
     */
    private $Date;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $Description;

    /**
     * @ORM\OneToMany(targetEntity="App\Entity\Serpent", mappedBy="SerpentEtat")
     */
    private $serpents;

    /**
     * @ORM\ManyToMany(targetEntity="App\Entity\Photo", mappedBy="PhotoEtat")
     */
    private $photos;

    /**
     * @ORM\ManyToOne(targetEntity="App\Entity\Alertes", inversedBy="alerteEtat")
     */
    private $alertes;

    public function __construct()
    {
        $this->serpents = new ArrayCollection();
        $this->photos = new ArrayCollection();
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getType(): ?string
    {
        return $this->Type;
    }

    public function setType(?string $Type): self
    {
        $this->Type = $Type;

        return $this;
    }

    public function getDate(): ?\DateTimeInterface
    {
        return $this->Date;
    }

    public function setDate(?\DateTimeInterface $Date): self
    {
        $this->Date = $Date;

        return $this;
    }

    public function getDescription(): ?string
    {
        return $this->Description;
    }

    public function setDescription(?string $Description): self
    {
        $this->Description = $Description;

        return $this;
    }

    /**
     * @return Collection|Serpent[]
     */
    public function getSerpents(): Collection
    {
        return $this->serpents;
    }

    public function addSerpent(Serpent $serpent): self
    {
        if (!$this->serpents->contains($serpent)) {
            $this->serpents[] = $serpent;
            $serpent->setSerpentEtat($this);
        }

        return $this;
    }

    public function removeSerpent(Serpent $serpent): self
    {
        if ($this->serpents->contains($serpent)) {
            $this->serpents->removeElement($serpent);
            // set the owning side to null (unless already changed)
            if ($serpent->getSerpentEtat() === $this) {
                $serpent->setSerpentEtat(null);
            }
        }

        return $this;
    }

    /**
     * @return Collection|Photo[]
     */
    public function getPhotos(): Collection
    {
        return $this->photos;
    }

    public function addPhoto(Photo $photo): self
    {
        if (!$this->photos->contains($photo)) {
            $this->photos[] = $photo;
            $photo->addPhotoEtat($this);
        }

        return $this;
    }

    public function removePhoto(Photo $photo): self
    {
        if ($this->photos->contains($photo)) {
            $this->photos->removeElement($photo);
            $photo->removePhotoEtat($this);
        }

        return $this;
    }

    public function getAlertes(): ?Alertes
    {
        return $this->alertes;
    }

    public function setAlertes(?Alertes $alertes): self
    {
        $this->alertes = $alertes;

        return $this;
    }
    public function __toString()
    {
        // TODO: Implement __toString() method.
        return $this->getType();
    }
}

Reptilarium/src/Entity/Habitat.php
<?php

namespace App\Entity;

use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass="App\Repository\HabitatRepository")
 */
class Habitat
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue()
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="integer", nullable=true)
     */
    private $Hauteur;

    /**
     * @ORM\Column(type="integer", nullable=true)
     */
    private $Longueur;

    /**
     * @ORM\Column(type="integer", nullable=true)
     */
    private $Profondeur;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $Substrat;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $SystemeThermique;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $SystemeHygrometrique;

    /**
     * @ORM\OneToMany(targetEntity="App\Entity\Serpent", mappedBy="SerpentHabitat")
     */
    private $serpents;

    /**
     * @ORM\ManyToMany(targetEntity="App\Entity\Photo", mappedBy="PhotoHabitat")
     */
    private $photos;

    /**
     * @ORM\ManyToOne(targetEntity="App\Entity\Alertes", inversedBy="alerteHabitat")
     */
    private $alertes;

    public function __construct()
    {
        $this->serpents = new ArrayCollection();
        $this->photos = new ArrayCollection();
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getHauteur(): ?int
    {
        return $this->Hauteur;
    }

    public function setHauteur(?int $Hauteur): self
    {
        $this->Hauteur = $Hauteur;

        return $this;
    }

    public function getLongueur(): ?int
    {
        return $this->Longueur;
    }

    public function setLongueur(?int $Longueur): self
    {
        $this->Longueur = $Longueur;

        return $this;
    }

    public function getProfondeur(): ?int
    {
        return $this->Profondeur;
    }

    public function setProfondeur(?int $Profondeur): self
    {
        $this->Profondeur = $Profondeur;

        return $this;
    }

    public function getSubstrat(): ?string
    {
        return $this->Substrat;
    }

    public function setSubstrat(?string $Substrat): self
    {
        $this->Substrat = $Substrat;

        return $this;
    }

    public function getSystemeThermique(): ?string
    {
        return $this->SystemeThermique;
    }

    public function setSystemeThermique(?string $SystemeThermique): self
    {
        $this->SystemeThermique = $SystemeThermique;

        return $this;
    }

    public function getSystemeHygrometrique(): ?string
    {
        return $this->SystemeHygrometrique ;
    }

    public function setSystemeHygrometrique(?string $SystemeHygrometrique): self
    {
        $this->SystemeHygrometrique = $SystemeHygrometrique;

        return $this;
    }

    /**
     * @return Collection|Serpent[]
     */
    public function getSerpents(): Collection
    {
        return $this->serpents;
    }

    public function addSerpent(Serpent $serpent): self
    {
        if (!$this->serpents->contains($serpent)) {
            $this->serpents[] = $serpent;
            $serpent->setSerpentHabitat($this);
        }

        return $this;
    }

    public function removeSerpent(Serpent $serpent): self
    {
        if ($this->serpents->contains($serpent)) {
            $this->serpents->removeElement($serpent);
            // set the owning side to null (unless already changed)
            if ($serpent->getSerpentHabitat() === $this) {
                $serpent->setSerpentHabitat(null);
            }
        }

        return $this;
    }

    /**
     * @return Collection|Photo[]
     */
    public function getPhotos(): Collection
    {
        return $this->photos;
    }

    public function addPhoto(Photo $photo): self
    {
        if (!$this->photos->contains($photo)) {
            $this->photos[] = $photo;
            $photo->addPhotoHabitat($this);
        }

        return $this;
    }

    public function removePhoto(Photo $photo): self
    {
        if ($this->photos->contains($photo)) {
            $this->photos->removeElement($photo);
            $photo->removePhotoHabitat($this);
        }

        return $this;
    }

    public function getAlertes(): ?Alertes
    {
        return $this->alertes;
    }

    public function setAlertes(?Alertes $alertes): self
    {
        $this->alertes = $alertes;

        return $this;
    }
  public function __toString()
  {
      // TODO: Implement __toString() method.
    return $this->getSubstrat();
  }
}

Reptilarium/src/Entity/Serpent.php
<?php

namespace App\Entity;

use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;
use Vich\UploaderBundle\Entity\File;
use Vich\UploaderBundle\Mapping\Annotation as Vich;

/**
 *

 * @ORM\Entity(repositoryClass="App\Repository\SerpentRepository")
 */
class Serpent
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue()
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $Prenom;

    /**
     * @ORM\Column(type="datetime", nullable=true)
     */
    private $DateNaissance;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $Sexe;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $Espece;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $Origine;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $Description;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $Caractere;

    /**
     * @ORM\ManyToOne(targetEntity="App\Entity\Habitat", inversedBy="serpents")
     */
    private $SerpentHabitat;

    /**
     * @ORM\ManyToOne(targetEntity="App\Entity\Etat", inversedBy="serpents")
     */
    private $SerpentEtat;

    /**
     * @ORM\ManyToOne(targetEntity="App\Entity\Terrariophile", inversedBy="serpents")
     */
    private $SerpentTerrariophile;

    /**
     * @ORM\ManyToOne(targetEntity="App\Entity\Action", inversedBy="serpents")
     */
    private $SerpentAction;

    /**
     * @ORM\ManyToOne(targetEntity="App\Entity\Metries", inversedBy="serpents")
     */
    private $SerpentMetries;

    /**
     * @ORM\ManyToMany(targetEntity="App\Entity\Photo", mappedBy="PhotoSerpent" , orphanRemoval=true, cascade={"persist","remove"})
     */
    private $photos;


    /**
     * @ORM\ManyToOne(targetEntity="App\Entity\Alertes", inversedBy="alerteSerpent")
     */
    private $alertes;


    public function __construct()
    {
        $this->photos = new ArrayCollection();
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getPrenom(): ?string
    {
        if($this->Prenom) {
            return $this->Prenom;
        }
        else {
            return '';
        }
    }

    public function setPrenom(?string $Prenom): self
    {
        $this->Prenom = $Prenom;

        return $this;
    }

    public function getDateNaissance(): ?\DateTimeInterface
    {
        return $this->DateNaissance;
    }

    public function setDateNaissance(?\DateTimeInterface $DateNaissance): self
    {
        $this->DateNaissance = $DateNaissance;

        return $this;
    }

    public function getSexe(): ?string
    {
        return $this->Sexe;
    }

    public function setSexe(?string $Sexe): self
    {
        $this->Sexe = $Sexe;

        return $this;
    }

    public function getEspece(): ?string
    {
        return $this->Espece;
    }

    public function setEspece(?string $Espece): self
    {
        $this->Espèce = $Espece;

        return $this;
    }

    public function getOrigine(): ?string
    {
        return $this->Origine;
    }

    public function setOrigine(?string $Origine): self
    {
        $this->Origine = $Origine;

        return $this;
    }

    public function getDescription(): ?string
    {
        return $this->Description;
    }

    public function setDescription(?string $Description): self
    {
        $this->Description = $Description;

        return $this;
    }

    public function getCaractere(): ?string
    {
        return $this->Caractere;
    }

    public function setCaractere(?string $Caractere): self
    {
        $this->Caractere = $Caractere;

        return $this;
    }

    public function getSerpentHabitat(): ?Habitat
    {
        return $this->SerpentHabitat;
    }

    public function setSerpentHabitat(?Habitat $SerpentHabitat): self
    {
        $this->SerpentHabitat = $SerpentHabitat;

        return $this;
    }


    public function getSerpentEtat(): ?Etat
    {
        return $this->SerpentEtat;
    }

    public function setSerpentEtat(?Etat $SerpentEtat): self
    {
        $this->SerpentEtat = $SerpentEtat;

        return $this;
    }

    public function getSerpentTerrariophile(): ?Terrariophile
    {
        return $this->SerpentTerrariophile;
    }

    public function setSerpentTerrariophile(?Terrariophile $SerpentTerrariophile): self
    {
        $this->SerpentTerrariophile = $SerpentTerrariophile;

        return $this;
    }

    public function getSerpentAction(): ?Action
    {
        return $this->SerpentAction;
    }

    public function setSerpentAction(?Action $SerpentAction): self
    {
        $this->SerpentAction = $SerpentAction;

        return $this;
    }

    public function getSerpentMetries(): ?Metries
    {
        return $this->SerpentMetries;
    }

    public function setSerpentMetries(?Metries $SerpentMetries): self
    {
        $this->SerpentMetries = $SerpentMetries;

        return $this;
    }

    /**
     * @return Collection|Photo[]
     */

    public function getPhotos(): Collection
    {
        return $this->photos;
    }


    public function addPhoto(Photo $photo): self
    {
        if (!$this->photos->contains($photo)) {
            $this->photos[] = $photo;
            $photo->addPhotoSerpent($this);
        }

        return $this;
    }

    public function removePhoto(Photo $photo): self
    {
        if ($this->photos->contains($photo)) {
            $this->photos->removeElement($photo);
            $photo->removePhotoSerpent($this);
        }

        return $this;
    }




    public function getAlertes(): ?Alertes
    {
        return $this->alertes;
    }

    public function setAlertes(?Alertes $alertes): self
    {
        $this->alertes = $alertes;

        return $this;
    }
    public function __toString()
    {
        // TODO: Implement __toString() method.
        return $this->getPrenom();
    }

}

Reptilarium/templates/page_accueil/action.html.twig
{% extends 'base.html.twig' %}

{% block title %}Hello MyController!{% endblock %}

{% block body %}
    {% block stylesheets %}
        {{ encore_entry_link_tags('app')}}
        <link href="https://fonts.googleapis.com/css?family=Cinzel&display=swap" rel="stylesheet">
    {% endblock %}

    <style>
        .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
        .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
    </style>

    <div class="card-body">
        <h4>Dernière(s) Action(s)</h4>

            {% for Action in action  %}
                <li> <u>Type</u> <p>{{ Action.type }}</p> </li>
                <li><u>Descritpion:</u> <p>{{ Action.description }}</p></li>

        {% endfor %}
        <h4>Proie(s) donnée(s)</h4>
        {% for Proie in proie  %}
            <li><u>Type:</u> <p>{{ Proie.type }}</p> </li>
            <li><u>Descritpion:</u> <p>{{ Proie.description }}</p></li>
        {% endfor %}





        <h3>Nouvelle action</h3>
        <h4>Manipulation</h4>
        <div class="form-row">{{ form(formAction) }}</div>
        <h3>Nourrissage</h3>
        <h4>Proie</h4>
        <div class="form-row">{{ form(formProie) }}</div>
    </div>
{% endblock %}

Reptilarium/templates/page_accueil/alertes.html.twig
{% extends 'base.html.twig' %}

{% block title %}Hello MyController!{% endblock %}

{% block body %}
    {% block stylesheets %}
        {{ encore_entry_link_tags('app')}}
        <link href="https://fonts.googleapis.com/css?family=Cinzel&display=swap" rel="stylesheet">
    {% endblock %}

    <style>
        .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
        .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
    </style>
    <h4>Signaler un changement</h4>
{{ form(formAlerte) }}
    <div class="example-wrapper">

    </div>
{% endblock %}

Reptilarium/templates/page_accueil/email-register.html.twig
{% extends 'base.html.twig' %}
{% block body %}
<h1>Oyé ,oyé bonnes gens ,je vous souhaite la bienvenue dans l'antre des terrariophiles!!</h1>
{% endblock %}

Reptilarium/templates/page_accueil/habitat.html.twig
{% extends 'base.html.twig' %}

{% block title %}Hello MyController!{% endblock %}

{% block body %}
    {% block stylesheets %}
        {{ encore_entry_link_tags('app') }}

        <link href="https://fonts.googleapis.com/css?family=Cinzel&display=swap" rel="stylesheet">
    {% endblock %}

    <style>
        .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
        .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
    </style>

    <div class="card-body" id="card-habitat" style="width: 18rem;">
        <ul>
                {% for Habitat in habitat  %}
                    <h4>Info habitat</h4>
                    <li>Hauteur:<p>{{ Habitat.hauteur }}cm</p></li>
                    <li>Longueur:<p>{{ Habitat.longueur }}cm</p></li>
                    <li>Profondeur:<p>{{ Habitat.profondeur }}cm</p></li>
                    <li>Substrat:<p>{{ Habitat.substrat }}</p></li>
                    <li>Système Thermique:<p>{{  Habitat.systemethermique }}°</p></li>
                    <li>Système Hygrométrique:<p>{{ Habitat.systemehygrometrique }}%</p></li>




                {% endfor %}


        </ul>
        </div>


    <div class="form-row">
        <h4>Nouvel Habitat</h4>
        {{ form(formHabitat) }}</div>
{% endblock %}

Reptilarium/templates/page_accueil/index.html.twig
{% extends 'base.html.twig' %}

{% block title %}Hello PageAccueilController!{% endblock %}

{% block body %}
    {% block stylesheets %}
        <link href="https://fonts.googleapis.com/css?family=Cinzel&display=swap" rel="stylesheet">
        {{ encore_entry_link_tags('app') }}
    {% endblock %}
<style>
    .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
    .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
</style>

    <nav id="nav">
        <ul id="accueil">
            <a href="/pageserpents">  <li class="acc"> Serpents</li> </a>
           <a href="/habitat">  <li class="acc">Terrarium/Habitat</li> </a>
           <a href="/santé"> <li class="acc">Etat de santé</li></a>
           <a href="/terrariophile"> <li class="acc">Terrariophile</li></a>
           <a href="/alertes"> <li class="acc">Alertes</li></a>



        </ul>


    </nav>
    <div class="card" id="login" style="width: 16rem;">
        <ul class="list-group list-group-flush">
            <a href="/login"> <li class="acc">Se connecter</li></a>
            <a href="/register"> <li class="acc">S'inscrire</li></a>
        </ul>
    </div>
    <div class="card" id="login" style="width: 16rem;">
        <ul class="list-group list-group-flush">
            <a href="/action"> <li class="acc">Actions</li></a>
            <a href="/photos"> <li class="acc">Photos</li></a>
            <a href="http://127.0.0.1:8000/admin/?entity=Terrariophile&action=list&menuIndex=1&submenuIndex=-1"> <li class="acc">NewTerrariophile</li></a>

        </ul>
    </div>

{% endblock %}

Reptilarium/templates/page_accueil/pageserpents.html.twig
{% extends 'base.html.twig' %}

{% block title %}Hello MyController!{% endblock %}

{% block body %}
    {% block stylesheets %}
        {{ encore_entry_link_tags('app')}}
        <link href="https://fonts.googleapis.com/css?family=Cinzel&display=swap" rel="stylesheet">
    {% endblock %}
    <style>
        .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
        .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
    </style>
    <div class="card-body" id="card-serpent" style="width: 18rem;">

    <ul>
{#        {% for Serpent in serpents  %}#}
{#            <li>Prénom:<p>{{ Serpent.prenom }}</p></li>#}
{#            <li>Date de naissance:<p>{{ Serpent.datenaissance|date('d-m-y') }}</p></li>#}
{#            <li>Sexe:<p>{{ Serpent.sexe }}</p></li>#}
{#            <li>Espèce:<p>{{ Serpent.espece }}</p></li>#}
{#            <li>Origine:<p>{{ Serpent.origine }}</p></li>#}
{#            <li>Description:<p>{{ Serpent.description }}</p></li>#}
{#            <li>Caractère:<p>{{ Serpent.caractere}}</p></li>#}
{#            {% for Photo in Serpent.photos  %}#}
{#                <li><img src="./img/{{ Photo }}" class="card-img-top" alt=""></li>#}
{#            {% endfor %}#}

{#        {% endfor %}#}
{#        {{ Serpent.SerpentAction}}#}
{#        <h1>{{ habitat }}</h1>#}
        <div> {% for Serpent in SerpentTerrariophile %}
                <li>{{ Serpent.Prenom }}</li>
                <li>{{ Serpent.Espece }}</li>

            {% endfor %}
        </div>
         </ul>
    </div>

    <div class="form-row">{{ form(formSnake)}}</div>

{#{{ form(formSnake.PhotoSerpentFile) }}#}
{#    {{ vich_uploader_asset(Serpent,'PhotoSerpentFile') }}#}

{% endblock %}
{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('snakeform') }}
{% endblock %}

Reptilarium/templates/page_accueil/photos.html.twig
{% extends 'base.html.twig' %}

{% block title %}Hello MyController!{% endblock %}

{% block body %}
    {% block stylesheets %}
        {{ encore_entry_link_tags('app')}}
        <link href="https://fonts.googleapis.com/css?family=Cinzel&display=swap" rel="stylesheet">
    {% endblock %}

<style>
    .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
    .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
</style>
<div class="card-group" id="photoForm">
    {{ form(photoForm) }}
</div>
{% endblock %}

Reptilarium/templates/page_accueil/santé.html.twig
{% extends 'base.html.twig' %}

{% block title %}Hello MyController!{% endblock %}

{% block body %}
    {% block stylesheets %}
        {{ encore_entry_link_tags('app') }}
        <link href="https://fonts.googleapis.com/css?family=Cinzel&display=swap" rel="stylesheet">
    {% endblock %}

    <style>
        .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
        .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
    </style>




        <div class="card-body">
            <h1>Etat</h1>

            <ul>

                <li>{{ type }}</li>
                <li>{{ date|date('d-m-Y') }}</li>
                <li>{{ description }}</li>
            </ul>
        </div>

    <div class="form-row">
        <h4>Nouvel Etat</h4>
        {{ form(formEtat) }}</div>
    <div class="card-body">
            <h1>Métrages</h1>
            <ul>

                <li>Poids:<p>{{ poids }}grammes</p></li>
                <li>Taille:<p>{{ taille }}cm</p></li>
                <li>Températures mises en place dans l'habitat:<p>{{ temperature }}°(jour/nuit)</p></li>
                <li>Niveau d'hygrométrie:<p>{{ hygrometrie }}%</p></li>
                <li>Date:<p>{{ datemetries|date('d-m-Y') }}</p></li>

            </ul>
    </div>


       <div class="form-row">
           <h4>Nouveaux Métrages</h4>
           {{ form(formMetries) }}</div>



{% endblock %}

Reptilarium/templates/page_accueil/terrariophile.html.twig
{% extends 'base.html.twig' %}

{% block title %}Hello MyController!{% endblock %}

{% block body %}
    {% block stylesheets %}
        {{ encore_entry_link_tags('app') }}
        <link href="https://fonts.googleapis.com/css?family=Cinzel&display=swap" rel="stylesheet">
    {% endblock %}

    <style>
        .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
        .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
    </style>

        <div class="card-body">
            <h4>Terrariophile actuel</h4>

            <ul>
                <li>Prénom:<p>{{  prenom }}</p></li>
                <li>Nom:<p>{{ nom }}</p></li>
                <li>Adresse mail:<p>{{ mail }}</p></li>
                <li>N° de téléphone:<p>{{ telephone }}</p></li>

            </ul>
            <div> {% for Serpent in SerpentTerrariophile %}
            <li>{{ Serpent.Prenom }}</li>
                    <li>{{ Serpent.Espece }}</li>

            {% endfor %}
            </div>

        </div>
    <div class="form-row">
    <h4>Nouveau terrariophile</h4>
        {{ form(formTerrariophile) }}</div>
{% endblock %}
{#{% block javascripts %}#}
{#        {{ parent() }}#}
{#        {{ encore_entry_script_tags('terrariophileform') }}#}
{#{% endblock %}#}